// *************************************************************** //
// Filename:    MdiDv.cpp                                          //
//                                                                 //
// Date:        11-Feb-94                                          //
//                                                                 //
// Description:                                                    //
//  Definition for TMdiDvView                                      //
// *************************************************************** //
#include "MdiDv.h"


// --------------------------------------------------------------- //
// Constructor                                                     //
// --------------------------------------------------------------- //
TMdiDvView::TMdiDvView(TMdiDvDocument &doc,TWindow *parent)
  :TWindowView(doc, parent), MdiDvDoc(&doc)
{
  SetViewMenu(new TMenuDescr("MdiDvViewMenu",0,1,0,0,0,0));
}

// --------------------------------------------------------------- //
// Destructor                                                      //
// --------------------------------------------------------------- //
TMdiDvView::~TMdiDvView()
{
}

// --------------------------------------------------------------- //
// StaticName                                                      //
// --------------------------------------------------------------- //
const char far* TMdiDvView::StaticName()
{
  return "MdiDv View";
}

// --------------------------------------------------------------- //
// VnCommit                                                        //
// --------------------------------------------------------------- //
BOOL TMdiDvView::VnCommit(BOOL /*force*/)
{
  // nothing to do here, no data held in view
  return TRUE;
}

// --------------------------------------------------------------- //
// VnRevert                                                        //
// --------------------------------------------------------------- //
BOOL TMdiDvView::VnRevert(BOOL /*clear*/)
{
  Invalidate();  // force full repaint
  return TRUE;
}

// --------------------------------------------------------------- //
// Response table                                                  //
// --------------------------------------------------------------- //
DEFINE_RESPONSE_TABLE1(TMdiDvView, TWindowView)
  EV_VN_COMMIT,
  EV_VN_REVERT,
  EV_COMMAND(CM_ITEM, CmItem),
END_RESPONSE_TABLE;


// --------------------------------------------------------------- //
// CmItem                                                          //
// --------------------------------------------------------------- //
void TMdiDvView::CmItem()
{
  MessageBeep(0);
}

